---
title: Update a user seat
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Zero Trust](https://developers.cloudflare.com/api/python/resources/zero_trust)

[Seats](https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/seats)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update a user seat

zero\_trust.seats.edit(SeatEditParams\*\*kwargs) -> SyncSinglePage\[[Seat](<https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.seats%20%3E%20(model)%20seat%20%3E%20(schema)>)]

PATCH/accounts/{account\_id}/access/seats

Removes a user from a Zero Trust seat when both `access_seat` and `gateway_seat` are set to false.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zero Trust: Seats Write`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20zero_trust.seats%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

<details>

<summary>

body: Iterable\[Body]

</summary>

access\_seat: bool

True if the seat is part of Access.

<a href="#(resource)%20zero_trust.seats%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20body%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20access_seat">Link to this property</a>

gateway\_seat: bool

True if the seat is part of Gateway.

<a href="#(resource)%20zero_trust.seats%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20body%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20gateway_seat">Link to this property</a>

seat\_uid: str

The unique API identifier for the Zero Trust seat.

maxLength36

<a href="#(resource)%20zero_trust.seats%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20body%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20seat_uid">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.seats%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20body%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class Seat: …

</summary>

access\_seat: Optional\[bool]

True if the seat is part of Access.

<a href="#(resource)%20zero_trust.seats%20%3E%20(model)%20seat%20%3E%20(schema)%20%3E%20(property)%20access_seat">Link to this property</a>

created\_at: Optional\[datetime]

formatdate-time

<a href="#(resource)%20zero_trust.seats%20%3E%20(model)%20seat%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

gateway\_seat: Optional\[bool]

True if the seat is part of Gateway.

<a href="#(resource)%20zero_trust.seats%20%3E%20(model)%20seat%20%3E%20(schema)%20%3E%20(property)%20gateway_seat">Link to this property</a>

seat\_uid: Optional\[str]

The unique API identifier for the Zero Trust seat.

maxLength36

<a href="#(resource)%20zero_trust.seats%20%3E%20(model)%20seat%20%3E%20(schema)%20%3E%20(property)%20seat_uid">Link to this property</a>

updated\_at: Optional\[datetime]

formatdate-time

<a href="#(resource)%20zero_trust.seats%20%3E%20(model)%20seat%20%3E%20(schema)%20%3E%20(property)%20updated_at">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.seats%20%3E%20(model)%20seat%20%3E%20(schema)>)

### Update a user seat

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.seats.edit(
    account_id="699d98642c564d2e855e9661899b7252",
    body=[{
        "access_seat": False,
        "gateway_seat": False,
        "seat_uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    }],
)
page = page.result[0]
print(page.seat_uid)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "access_seat": false,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "gateway_seat": false,
      "seat_uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "updated_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "access_seat": false,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "gateway_seat": false,
      "seat_uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "updated_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```